Delete Asset – Media API – MediaKind
Delete Asset
del https://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name
Delete Asset.
When you delete an asset, the underlying storage container will be deleted too. You can control this behavior by assigning a DeletionPolicy to your asset.
RBAC Capability Required: ams.asset.delete
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_namestring Requiredasset_namestring Required
Response
- 200 Asset deleted.
No response body. - 204 Nothing to delete.
No response body.
Errors
- 400 Bad Request
- error object ErrorDetail Required
Pertinent information about the error
codestring Required
The error code.detailstring Required
The error message.extraDetailmap from strings to any Optional
Extra information regarding this error.refstring Required
A reference to the request that caused the error.statusinteger Required
The HTTP status code401 Unauthorized
- error object ErrorDetail Required
Pertinent information about the error
codestring Required
The error code.detailstring Required
The error message.extraDetailmap from strings to any Optional
Extra information regarding this error.refstring Required
A reference to the request that caused the error.statusinteger Required
The HTTP status code
403 Forbidden
- error object ErrorDetail Required
refstring Required
A reference to the request that caused the error.statusinteger Required
The HTTP status code
404 Not Found
- error object ErrorDetail Required
refstring Required
A reference to the request that caused the error.statusinteger Required
The HTTP status code
429 Too Many Requests
- error object ErrorDetail Required
refstring Required
A reference to the request that caused the error.statusinteger Required
The HTTP status code
500 Internal Server Error
- error object ErrorDetail Required
refstring Required
A reference to the request that caused the error.statusinteger Required
The HTTP status code